Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235653 - chpasswd(8) should support password that has more than 8 letters
Summary: chpasswd(8) should support password that has more than 8 letters
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: shadow-utils
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-09 09:24 UTC by Mitsuru Ogino
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 18:37:35 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mitsuru Ogino 2007-04-09 09:24:43 UTC
Description of problem:
Without the -e switch, chpasswd(8) encrypts cleartext passwords with DES
algorithm. So, only first 8 letters of the password are effective.

Version-Release number of selected component (if applicable):
shadow-utils-4.0.3-26.RHEL3

How reproducible:
echo "testaccount:testpassword" | /usr/sbin/chpasswd
grep ^testaccount: /etc/shadow

Steps to Reproduce:
1. Use chpasswd(8) without -e option:
  echo "testaccount:testpassword" | /usr/sbin/chpasswd
2. Check /etc/shadow entry:
  grep ^testaccount: /etc/shadow
3. Check password field that begins with '$1$' or not.
  
Actual results:
The password field in /etc/shadow dose not begin with '$1$'.
The user 'testaccout' can login with password 'testpass'.

Expected results:


Additional info:

Comment 2 RHEL Product and Program Management 2007-10-19 18:37:35 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.